document.addEventListener('DOMContentLoaded', () => {
  // Save button functionality
  document.querySelectorAll('.save-btn').forEach(button => {
    button.addEventListener('click', (e) => {
      const btn = e.target;
      btn.textContent = 'Saved';
      btn.style.background = '#27ae60';
      setTimeout(() => {
        btn.textContent = 'Save';
        btn.style.background = '';
      }, 1500);
    });
  });

  // Search functionality
  const searchInput = document.querySelector('.search-bar input');
  searchInput.addEventListener('input', (e) => {
    const searchTerm = e.target.value.toLowerCase();
    const pins = document.querySelectorAll('.pin');
    
    pins.forEach(pin => {
      const title = pin.querySelector('h2').textContent.toLowerCase();
      const description = pin.querySelector('p').textContent.toLowerCase();
      
      if (title.includes(searchTerm) || description.includes(searchTerm)) {
        pin.style.display = 'block';
      } else {
        pin.style.display = 'none';
      }
    });
  });

  // Create pin button functionality
  const createPinBtn = document.querySelector('.create-pin');
  createPinBtn.addEventListener('click', () => {
    alert('Create pin feature coming soon!');
  });

  // Lazy loading for images
  if ('IntersectionObserver' in window) {
    const imageObserver = new IntersectionObserver((entries, observer) => {
      entries.forEach(entry => {
        if (entry.isIntersecting) {
          const img = entry.target;
          img.src = img.dataset.src;
          img.classList.remove('lazy');
          observer.unobserve(img);
        }
      });
    });

    document.querySelectorAll('img[data-src]').forEach(img => {
      imageObserver.observe(img);
    });
  }
});
